Update DVR Settings
curl -X POST "https://api.5centscdn.com/v2/streams/push/1001/record" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"retention": 30
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/push/1001/record"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"retention": 30
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/push/1001/record", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"retention": 30
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"retention": 30
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/push/1001/record", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/push/1001/record')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"retention": 30
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Updated",
"stream": {
"monitoring_id": 277238,
"type": "push",
"id": 67836,
"serviceid": 103,
"name": "jgj/hgjh",
"codec": "h264",
"ingests": [
[],
null
],
"protocols": [
[
"DASH",
"HLS"
],
[
"DASH",
"HLS"
]
],
"parentid": null,
"server": "212",
"backup": "",
"dedicatedLTC": "1",
"hasAdvancedFeatures": "1",
"monitoring_triggers": "[1,5,10]",
"draft": "0",
"disabled": "0",
"created_at": "2026-01-27 08:08:40",
"updated_at": "2026-04-30 09:38:53",
"lastseen_at": "2026-04-07 10:55:12",
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Deploying",
"has": {
"rtmp": 0,
"rtsp": 0,
"hls": 1,
"dash": 1,
"rtmpauth": false
},
"fms": {
"server": {
"country": "India",
"meta": {
"fmsUrl": "rtmp://fms-01-01.5centscdn.com"
}
}
},
"parts": {
"pp": "jgj",
"sn": "hgjh",
"full": "jgjhgjh"
},
"restream": {},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist.m3u8",
"dashManifest": "manifest.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "4lpun6iqz29c0mrv",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=jgj/hgjh",
"base": "https://cdn.example.com/player/hls/skin1/4lpun6iqz29c0mrv/",
"hls": "https://cdn.example.com/player/hls/skin1/4lpun6iqz29c0mrv/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=jgj/hgjh",
"dash": "https://cdn.example.com/player/dash/skin1/4lpun6iqz29c0mrv/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=jgj/hgjh"
}
},
"tokenized": null
},
"platformsCount": 0,
"ssl_enabled": true,
"hash": "hgjh",
"ndvr": {
"enabled": "N",
"retention": "66"
},
"securetoken": {
"enabled": "N",
"policy": "D",
"keyip": "N",
"list": "",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": null,
"active": "N"
},
"record": {
"enabled": "Y",
"retention": "5",
"stream": {
"id": 67837,
"type": "record"
}
},
"timeshifts": [
{
"id": 70697,
"type": "timeshift",
"name": "jgj_ts/hgjh_Testing"
}
],
"domainlock": {
"enabled": "N",
"policy": "Y",
"list": "example.com,docs.example.com",
"ips": "",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
""
],
"ips": "",
"active": "N"
},
"ipaccess": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "N",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"rtmpauth": {
"password": "",
"active": "N"
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"platforms": [],
"messages": {},
"adInsertion": null
}
}
POST
/streams/push/{streamid}/recordPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidstring
RequiredStream ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
enabledstring
Enable or disable this feature. Y means enabled, N means disabled.
retentioninteger
How many days to keep recordings before automatic deletion.
Max: 90
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
Responses
resultstring
Status of the API response.
messagestring
Human-readable message describing the result.
streamobject
Stream object containing configuration and status details.
Was this page helpful?